image: registry.gitlab.com/gett-hackathon/x-reality/gql-api/gitlab-ci

cache:
  paths:
  - /apt-cache
  - /go/src/github.com
  - /go/src/golang.org
  - /go/src/google.golang.org
  - /go/src/gopkg.in

stages:
- test
- build

before_script:
- mkdir -p /go/src/gitlab.com/pantomath-io /go/src/_/builds
- cp -r $CI_PROJECT_DIR /go/src/gitlab.com/pantomath-io/pantomath
- ln -s /go/src/gitlab.com/pantomath-io /go/src/_/builds/pantomath-io

unit_tests:
  stage: test
  script:
  - make test

race_detector:
  stage: test
  script:
  - make race

code_coverage:
  stage: test
  script:
  - make coverage

lint_code:
  stage: test
  script:
  - make lint

build:
  stage: build
  script:
  - make
  artifacts:
    paths:
    - server
